> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1alertsfixes 1

> Get fix run by ID



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/alerts/fixes/{fixId}
openapi: 3.0.0
info:
  title: QYL Observability API
  version: '2026-01-26'
servers:
  - url: https://api.staging.qyl.dev
    description: QYL Staging API
    variables: {}
  - url: https://api.qyl.dev
    description: QYL Production API
    variables: {}
security: []
tags:
  - name: Streaming
  - name: Traces
  - name: Logs
  - name: Metrics
  - name: Sessions
  - name: Errors
  - name: Deployments
  - name: Services
  - name: Health
  - name: Workspaces
  - name: Onboarding
  - name: Configurator
  - name: Issues
  - name: Workflows
  - name: Search
  - name: Alerts
paths:
  /api/v1/alerts/fixes/{fixId}:
    get:
      tags:
        - Alerts
      description: Get fix run by ID
      operationId: AlertsApi_getFixRun
      parameters:
        - name: fixId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Domains.Alerting.FixRunEntity'
        '404':
          description: Resource not found (404)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.NotFoundError'
        '500':
          description: Internal server error (500)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.InternalServerError'
components:
  schemas:
    Qyl.Domains.Alerting.FixRunEntity:
      type: object
      required:
        - id
        - issue_id
        - trigger_type
        - strategy
        - status
        - created_at
      properties:
        id:
          type: string
          description: Fix run ID
        issue_id:
          type: string
          description: Target issue
        alert_firing_id:
          type: string
          description: Triggering alert firing
        trigger_type:
          allOf:
            - $ref: '#/components/schemas/Qyl.Domains.Alerting.FixTriggerType'
          description: What triggered the fix
        strategy:
          type: string
          description: Fix strategy
        model_name:
          type: string
          description: AI model used
        model_provider:
          type: string
          description: AI provider
        status:
          allOf:
            - $ref: '#/components/schemas/Qyl.Domains.Alerting.FixRunStatus'
          description: Fix run status
        error_message:
          type: string
          description: Error message if failed
        tokens_used:
          type: integer
          format: int32
          description: Tokens consumed
        duration_ms:
          type: integer
          format: int32
          description: Duration in milliseconds
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        started_at:
          type: string
          format: date-time
          description: Start timestamp
        completed_at:
          type: string
          format: date-time
          description: Completion timestamp
      description: AI-assisted fix attempt
      x-csharp-type: FixRunEntity
      x-duckdb-table: fix_runs
    Qyl.Common.Errors.NotFoundError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Not Found
        resource_type:
          type: string
          description: The type of resource that was not found
        resource_id:
          type: string
          description: The identifier that was not found
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Resource not found (404)
    Qyl.Common.Errors.InternalServerError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Internal Server Error
        error_code:
          type: string
          description: Error code for support reference
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Internal server error (500)
    Qyl.Domains.Alerting.FixTriggerType:
      type: string
      enum:
        - alert
        - manual
        - mcp
        - scheduled
      description: Fix trigger types
    Qyl.Domains.Alerting.FixRunStatus:
      type: string
      enum:
        - pending
        - running
        - awaiting_approval
        - applied
        - rejected
        - failed
      description: Fix run status
    Qyl.Common.Errors.ProblemDetails:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
          description: A URI reference identifying the problem type
          default: about:blank
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: >-
            The HTTP status code (informational only, actual code set by
            subtype)
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          format: uri
          description: A URI reference identifying the specific occurrence
        timestamp:
          type: string
          format: date-time
          description: Timestamp of the error
      description: RFC 7807 Problem Details for HTTP APIs

````